diff --git a/Makefile b/Makefile
index 6e1fef9..d75ebfb 100644
--- a/Makefile
+++ b/Makefile
@@ -3,16 +3,16 @@ bindir = $(PREFIX)/bin
 
 VERSION=0.9.73
 
-CC=gcc
-CPP=g++
+CC ?= gcc
+CXX ?= g++
 
 # Needed on OSX
 CFLAGS += -I/opt/local/include
 
-OPTIMIZE=-O3
+#OPTIMIZE=-O3
 #OPTIMIZE=-O0 -g
 
-COMPILEFLAGS=$(CFLAGS) $(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused
+COMPILEFLAGS=$(CFLAGS) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused
 LINKFLAGS=$(LDFLAGS) -ljack -lsndfile -lm -lpthread -latomic
 
 OS := $(shell uname)
@@ -41,7 +41,7 @@ check_dependencies:
 	which install
 	which pkg-config
 	which $(CC)
-	which $(CPP)
+	which $(CXX)
 	$(CC) $(CFLAGS) -E testsndfile.c >/dev/null
 	@echo "All seems good "
 	@echo
@@ -64,7 +64,7 @@ jack_capture: setformat.c jack_capture.c vringbuffer.c upwaker.c osc.c Makefile
 
 
 jack_capture_gui2: jack_capture_gui2.cpp
-	$(CPP) $(CPPFLAGS) $(OPTIMIZE) jack_capture_gui2.cpp $(LDFLAGS) `pkg-config --libs --cflags gtk+-2.0` -o jack_capture_gui2
+	$(CXX) $(CXXFLAGS) jack_capture_gui2.cpp $(LDFLAGS) `pkg-config --libs --cflags gtk+-2.0` -o jack_capture_gui2
 
 config_flags: Makefile das_config.h
 	cat das_config.h |grep COMPILEFLAGS|sed s/\\/\\/COMPILEFLAGS//|tr '\n' ' ' >config_flags
